Summary: Printer Configuration Tool
Name: printtool
Version: 3.28
Release: 3
Copyright: GPL
Group: Utilities/System
Source: printtool-%{PACKAGE_VERSION}.tar.gz
Requires: tcl tk control-panel rhs-printfilters lpr >= 0.16
BuildArchitectures: noarch
BuildRoot: /var/tmp/printtool-root

%description
The printtool provides a graphical interface for setting up printer queue. It
manages both local printers and remote printers. Windows (SMB) printers
can also be configured.

%prep
%setup -q -n printtool

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/control-panel

make PREFIX=$RPM_BUILD_ROOT/usr INSTALLBIN="install -m0755" INSTALLDATA="install -m0644" install

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install printtool.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/printtool

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
/usr/bin/printtool
/usr/lib/rhs/control-panel/printtool.init
/usr/lib/rhs/control-panel/printtool.xpm
%attr(0600,root,root)	%config(missingok) /etc/X11/wmconfig/printtool

%changelog
* Wed Oct 28 1998 Bill Nottingham <notting@redhat.com>
- reverse last patch

* Wed Jun 17 1998 Jeff Johnson <jbj@redhat.com>
- add newline (problem #615)
- add build root.

* Wed Nov 26 1997 Michael Fulbright <msf@redhat.com>
- fixed to print warning if smbclient not installed

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig

* Wed Nov  5 1997 Michael Fulbright <msf@redhat.com>
- fixed add/edit printer boxes with new packing cause old one broke bad

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- put nice new xpm icon in place
- fixed up help titles
- corrected lots of misspellings

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- Moved to version 3.2.
- Fixed problem with EXTRA_GS_OPIONS

* Fri Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Moved up to version 3.1.
- Added support for mpage - allows nup printing and adjustable margins.
- Simplified configuraion for stair-stepped text and sending EOF.
- Fixed PS filter to send a '\004' instead of a '\014' as EOF character.

* Wed Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Added A4 paper test page support. 

* Fri Mar  7 1997 Michael Fulbright <msf@redhat.com>
- Split print filters off into rh-printfilters package.
- Removed some undesirable debug messages.

* Fri Feb 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed a 'sh -x' left in head of smbprint script
